%define lib_major	1
%define libname 	%mklibname timezonemap %lib_major
%define devlibname	%mklibname timezonemap -d
%define gir_major	1.0
%define gir_name	%mklibname timezonemap-gir %{gir_major}

Summary:	Timezone map widget for GTK 3
Name:		libtimezonemap
Version:	0.4.6
Release:	%mkrel 4
License:	GPLv3+
Group:		System/Libraries
Url:		https://launchpad.net/ubuntu/+source/libtimezonemap/
Source0:	http://archive.ubuntu.com/ubuntu/pool/main/libt/libtimezonemap/%{name}_%{version}.tar.gz
Patch1:		port-to-libsoup3.patch
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libsoup-3.0)

%description
This package contains a timezone map widget for GTK+3.


%package -n %libname
Summary:	Timezone map widget for GTK 3
Group:		System/Libraries
Requires:	libtimezonemap-data = %{version}-%{release}

%description -n %libname
This package contains a timezone map widget for GTK+3.

%package -n %gir_name
Summary:	Introspection bindings for %libname
Group:		System/Libraries
Requires:	%libname = %{version}-%{release}

%description -n %gir_name
This package contains the GObject Introspection bindings for the timezonemap
library.


%package -n %devlibname
Summary:	Development files for libtimezonemap
Group:		Development/C
Requires:	%libname = %{version}-%{release}
Requires:	%gir_name = %{version}-%{release}

%description -n %devlibname
This package contains the development files for the timezonemap library.


%package data
Summary:	Data files for libtimezonemap
Group:		System/Libraries
BuildArch:	noarch

%description data
This package contains the data files needed by the timezonemap library.

%prep
%autosetup -p1

%build
[[ -x configure ]] || ./autogen.sh
%configure  --enable-introspection
%make_build

%install
%make_install

%files -n %libname
%doc README
%{_libdir}/libtimezonemap.so.%{lib_major}{,.*}

%files -n %gir_name
%{_libdir}/girepository-1.0/TimezoneMap-1.0.typelib


%files -n %devlibname
%doc README
%dir %{_includedir}/timezonemap/
%dir %{_includedir}/timezonemap/timezonemap/
%{_includedir}/timezonemap/timezonemap/*.h
%{_libdir}/libtimezonemap.so
%{_libdir}/pkgconfig/timezonemap.pc
%{_datadir}/gir-1.0/TimezoneMap-1.0.gir


%files data
%doc README
%dir %{_datadir}/libtimezonemap/
%{_datadir}/libtimezonemap/backward
%{_datadir}/libtimezonemap/ui/


%changelog
* Sat Nov 30 2024 daviddavid <daviddavid> 0.4.6-4.mga10
+ Revision: 2120101
- add debian patch to port to libsoup3

* Wed Mar 30 2022 umeabot <umeabot> 0.4.6-3.mga9
+ Revision: 1835240
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.4.6-2.mga8
+ Revision: 1526861
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Thu Jul 04 2019 tv <tv> 0.4.6-1.mga8
+ Revision: 1418470
- new release

* Sun Sep 23 2018 umeabot <umeabot> 0.4.5-2.mga7
+ Revision: 1299188
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 tv <tv> 0.4.5-1.mga6
+ Revision: 972353
- new release

* Mon Feb 15 2016 umeabot <umeabot> 0.4.4-4.mga6
+ Revision: 961217
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 wally <wally> 0.4.4-3.mga6
+ Revision: 848941
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 0.4.4-2.mga6
+ Revision: 847724
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 tv <tv> 0.4.4-1.mga6
+ Revision: 837983
- BR libsoup-devel
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.4.3-4.mga5
+ Revision: 747336
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.4.3-3.mga5
+ Revision: 724930
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.4.3-2.mga5
+ Revision: 681814
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 tv <tv> 0.4.3-1.mga5
+ Revision: 661415
- new release

* Wed Nov 06 2013 tv <tv> 0.4.1-2.mga4
+ Revision: 549772
- a noarch package cannot require a library package

* Tue Nov 05 2013 tv <tv> 0.4.1-1.mga4
+ Revision: 549700
- typelib must require the library

* Tue Nov 05 2013 tv <tv> 0.4.1-0.1.mga4
+ Revision: 549624
- imported package libtimezonemap

